Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SecurityToken.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SecurityToken.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SecurityTokenOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.SecurityToken

    public static final class ClientWireProtocol.SecurityToken.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>
    implements ClientWireProtocol.SecurityTokenOrBuilder

     For Connectors v2, we should be using compact JWE's which provide integrity verifiction + encryption

Protobuf type `xg.cmdcomp.SecurityToken`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.SecurityToken.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.SecurityToken` | `build()` |
`ClientWireProtocol.SecurityToken` | `buildPartial()` |
`ClientWireProtocol.SecurityToken.Builder` | `clear()` |
`ClientWireProtocol.SecurityToken.Builder` | `clearData()` | The token payload
`ClientWireProtocol.SecurityToken.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.SecurityToken.Builder` | `clearIssuerFingerprint()` | `string issuerFingerprint = 3;`
`ClientWireProtocol.SecurityToken.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.SecurityToken.Builder` | `clearSignature()` | `string signature = 2;`
`ClientWireProtocol.SecurityToken.Builder` | `clone()` |
`String` | `getData()` | The token payload
`com.google.protobuf.ByteString` | `getDataBytes()` | The token payload
`ClientWireProtocol.SecurityToken` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`String` | `getIssuerFingerprint()` | `string issuerFingerprint = 3;`
`com.google.protobuf.ByteString` | `getIssuerFingerprintBytes()` | `string issuerFingerprint = 3;`
`String` | `getSignature()` | `string signature = 2;`
`com.google.protobuf.ByteString` | `getSignatureBytes()` | `string signature = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.SecurityToken.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.SecurityToken.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.SecurityToken.Builder` | `mergeFrom​(ClientWireProtocol.SecurityToken other)` |
`ClientWireProtocol.SecurityToken.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.SecurityToken.Builder` | `setData​(String value)` | The token payload
`ClientWireProtocol.SecurityToken.Builder` | `setDataBytes​(com.google.protobuf.ByteString value)` | The token payload
`ClientWireProtocol.SecurityToken.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.SecurityToken.Builder` | `setIssuerFingerprint​(String value)` | `string issuerFingerprint = 3;`
`ClientWireProtocol.SecurityToken.Builder` | `setIssuerFingerprintBytes​(com.google.protobuf.ByteString value)` | `string issuerFingerprint = 3;`
`ClientWireProtocol.SecurityToken.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.SecurityToken.Builder` | `setSignature​(String value)` | `string signature = 2;`
`ClientWireProtocol.SecurityToken.Builder` | `setSignatureBytes​(com.google.protobuf.ByteString value)` | `string signature = 2;`
`ClientWireProtocol.SecurityToken.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### clear

public ClientWireProtocol.SecurityToken.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SecurityToken getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.SecurityToken build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SecurityToken buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.SecurityToken.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### setField

public ClientWireProtocol.SecurityToken.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### clearField

public ClientWireProtocol.SecurityToken.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### clearOneof

public ClientWireProtocol.SecurityToken.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### setRepeatedField

public ClientWireProtocol.SecurityToken.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### addRepeatedField

public ClientWireProtocol.SecurityToken.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### mergeFrom

public ClientWireProtocol.SecurityToken.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SecurityToken.Builder>`

### mergeFrom

public ClientWireProtocol.SecurityToken.Builder mergeFrom​(ClientWireProtocol.SecurityToken other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### mergeFrom

public ClientWireProtocol.SecurityToken.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SecurityToken.Builder>`
Throws:
  `IOException`

### getData

public String getData()

     The token payload

`string data = 1;`

Specified by:
  `getData` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The data.

### getDataBytes

public com.google.protobuf.ByteString getDataBytes()

     The token payload

`string data = 1;`

Specified by:
  `getDataBytes` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The bytes for data.

### setData

public ClientWireProtocol.SecurityToken.Builder setData​(String value)

     The token payload

`string data = 1;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

### clearData

public ClientWireProtocol.SecurityToken.Builder clearData()

     The token payload

`string data = 1;`

Returns:
  This builder for chaining.

### setDataBytes

public ClientWireProtocol.SecurityToken.Builder setDataBytes​(com.google.protobuf.ByteString value)

     The token payload

`string data = 1;`

Parameters:
  `value` - The bytes for data to set.
Returns:
  This builder for chaining.

### getSignature

public String getSignature()
`string signature = 2;`

Specified by:
  `getSignature` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The signature.

### getSignatureBytes

public com.google.protobuf.ByteString getSignatureBytes()
`string signature = 2;`

Specified by:
  `getSignatureBytes` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The bytes for signature.

### setSignature

public ClientWireProtocol.SecurityToken.Builder setSignature​(String value)
`string signature = 2;`

Parameters:
  `value` - The signature to set.
Returns:
  This builder for chaining.

### clearSignature

public ClientWireProtocol.SecurityToken.Builder clearSignature()
`string signature = 2;`

Returns:
  This builder for chaining.

### setSignatureBytes

public ClientWireProtocol.SecurityToken.Builder setSignatureBytes​(com.google.protobuf.ByteString value)
`string signature = 2;`

Parameters:
  `value` - The bytes for signature to set.
Returns:
  This builder for chaining.

### getIssuerFingerprint

public String getIssuerFingerprint()
`string issuerFingerprint = 3;`

Specified by:
  `getIssuerFingerprint` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The issuerFingerprint.

### getIssuerFingerprintBytes

public com.google.protobuf.ByteString getIssuerFingerprintBytes()
`string issuerFingerprint = 3;`

Specified by:
  `getIssuerFingerprintBytes` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The bytes for issuerFingerprint.

### setIssuerFingerprint

public ClientWireProtocol.SecurityToken.Builder setIssuerFingerprint​(String value)
`string issuerFingerprint = 3;`

Parameters:
  `value` - The issuerFingerprint to set.
Returns:
  This builder for chaining.

### clearIssuerFingerprint

public ClientWireProtocol.SecurityToken.Builder clearIssuerFingerprint()
`string issuerFingerprint = 3;`

Returns:
  This builder for chaining.

### setIssuerFingerprintBytes

public ClientWireProtocol.SecurityToken.Builder setIssuerFingerprintBytes​(com.google.protobuf.ByteString value)
`string issuerFingerprint = 3;`

Parameters:
  `value` - The bytes for issuerFingerprint to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.SecurityToken.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SecurityToken.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`